Bug 145744 - install generic links for jdbc jar files
install generic links for jdbc jar files
Product: Fedora
Classification: Fedora
Component: postgresql (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
: Patch
Depends On:
  Show dependency treegraph
Reported: 2005-01-20 19:50 EST by Colin Walters
Modified: 2013-07-02 23:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-07 16:38:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch to add unversioned jar links (674 bytes, patch)
2005-01-20 19:50 EST, Colin Walters
no flags Details | Diff
updated patch to add jar links (869 bytes, patch)
2005-01-21 15:36 EST, Colin Walters
no flags Details | Diff

  None (edit)
Description Colin Walters 2005-01-20 19:50:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041228 Firefox/1.0 Fedora/1.0-8

Description of problem:

The postgresql JDBC jar files changed name from postgresql 7 to 8. 
Our package's build process depended on those versioned names.  Most
other Java packages (from jpackage.org, which are now feeding into
rawhide) include a "generic" symlink to the specific version of the
jar file.  This patch adds these unversioned symlinks to the versioned
jar files, so our package build process can just reference them and
avoid a hard dependency on a particular postgresql version.

Since our primary development (and hopefully deployment) platform will
be FC3, it would be nice if this patch could be applied to the FC3
branch and released as an update there.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Moo 

Additional info:
Comment 1 Colin Walters 2005-01-20 19:50:52 EST
Created attachment 110037 [details]
patch to add unversioned jar links

Should be applicable to FC3 version as well.
Comment 2 Colin Walters 2005-01-21 15:36:59 EST
Created attachment 110072 [details]
updated patch to add jar links

I discovered that my patch breaks the build; surprisingly, RPM apparently
somehow manages to turn "cd /foo && command" into two separate shell commands,
thus changing the current directory and breaking later code.  This updated
patch forces it to be one command by running it in a subshell.
Comment 3 Tom Lane 2005-01-30 22:18:59 EST
Done in postgresql-8.0.1 for devel tip; will add in the back branches as opportunity 
presents.  (Which will be soon, since we now have security updates to push...)
Comment 4 Tom Lane 2005-02-07 16:38:16 EST
Patches are now pushed for FC3 and FC2.

Note You need to log in before you can comment on or make changes to this bug.